﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmUserGroupPermission
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int UserGroupId { get; set; }
        [Key]
        [StringLength(50)]
        public string MenuId { get; set; }
        public short? MenuPermission { get; set; }

        [ForeignKey("SiteId,UserGroupId")]
        [InverseProperty("CmUserGroupPermission")]
        public virtual CmUserGroup CmUserGroup { get; set; }
    }
}
