﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMaterialPurchaseOrderMaterial
    {
        [Key]
        public int SiteId { get; set; }
        public int BusinessFieldId { get; set; }
        [Key]
        public int PurchaseOrderId { get; set; }
        [Key]
        public int MaterialId { get; set; }
        public int MaterialCount { get; set; }
        public int UnitCost { get; set; }

        [ForeignKey("SiteId,MaterialId")]
        [InverseProperty("FmsMaterialPurchaseOrderMaterial")]
        public virtual FmsMaterial FmsMaterial { get; set; }
        [ForeignKey("SiteId,PurchaseOrderId")]
        [InverseProperty("FmsMaterialPurchaseOrderMaterial")]
        public virtual FmsMaterialPurchaseOrder FmsMaterialPurchaseOrder { get; set; }
    }
}
