﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsShortStockStatusView
    {
        public int SiteId { get; set; }
        public int BusinessFieldId { get; set; }
        public int MaterialId { get; set; }
        [Required]
        [StringLength(48)]
        public string MaterialCode { get; set; }
        [Required]
        [StringLength(48)]
        public string MaterialName { get; set; }
        [StringLength(12)]
        public string Unit { get; set; }
        public int? CurrentStoredCount { get; set; }
        public int? CurrentReleaseCount { get; set; }
        public int? CurrentCalcCount { get; set; }
        public int? LackCount { get; set; }
        public short? ReasonableStockCount { get; set; }
        public int? WarehouseId { get; set; }
        [StringLength(48)]
        public string WarehouseName { get; set; }
        public int? CurrentStoredPrice { get; set; }
        public int? CurrentReleasePrice { get; set; }
        public int? CurrentCalcPrice { get; set; }
        public int? FirstClassId { get; set; }
        public int? SecondClassId { get; set; }
        public int? ThirdClassId { get; set; }
    }
}
