﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmHolidayWeekend
    {
        [Key]
        public int SiteId { get; set; }
        public bool Saturday { get; set; }
        public bool Sunday { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmHolidayWeekend))]
        public virtual CmSite Site { get; set; }
    }
}
