﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmPatrolCoursePos
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int PatrolCourseId { get; set; }
        [Key]
        public int BuildingId { get; set; }
        [Key]
        public int FloorId { get; set; }
        [Key]
        public int PosId { get; set; }
        public int CourseOrder { get; set; }

        [ForeignKey("SiteId,PatrolCourseId")]
        [InverseProperty("CmPatrolCoursePos")]
        public virtual CmPatrolCourse CmPatrolCourse { get; set; }
        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmPatrolCoursePos))]
        public virtual CmSite Site { get; set; }
    }
}
