﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsMaterialCarriedForward {
        [Key]
        public int SiteId { get; set; }
        [Key]
        [Column(TypeName = "datetime")]
        public DateTime ClosedDate { get; set; }
        [Key]
        public int BusinessFieldId { get; set; }
        [Key]
        public int WarehouseId { get; set; }
        [Key]
        public int MaterialId { get; set; }
        public int StockCount { get; set; }
        public int StockTotalCost { get; set; }

        [ForeignKey("BusinessFieldId")]
        public virtual CmBusinessField CmBusinessField { get; set; }
        [ForeignKey("SiteId")]
        public virtual CmSite Site { get; set; }
    }
}
