﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeLegalInspectionAgency
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int InspectionAgencyId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.FmsWorkCodeLegalInspectionAgency))]
        public virtual CmSite Site { get; set; }
    }
}
