using System;
using FMSAdmin.Entities;

namespace FMSAdmin.Models {
    public class MaterialStockHistory {
        public DateTime Date { get; set; }
        public int Year { get; set; }
        public int Month { get; set; }
        public FmsMaterial Material { get; set; }
        public FmsMaterialWarehouse Warehouse { get; set; }
        public int StoredCount { get; set; }
        public int ReleaseCount { get; set; }
        public int ReleaseLossCount { get; set; }
        public int ReleaseReturnCount { get; set; }
        public int StockCount { get; set; }
        public long StockAmount { get; set; }
        public int LastStockCount { get; set; }
        public DateTime LastStockDate { get; set; }
    }
}