using System;
using System.Collections.Generic;
using System.IdentityModel.Tokens.Jwt;
using System.Linq;
using System.Security.Claims;
using System.Text;

using FMSAdmin.Data;
using FMSAdmin.Helpers;
using FMSAdmin.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Microsoft.IdentityModel.Tokens;
using FMSAdmin.Models;

namespace FMSAdmin.Services {
    public class MaterialReleaseHistoryService {
        private readonly ILogger<MaterialReleaseHistoryService> _logger;
        private readonly FMSContext _context;
        private readonly StorageHelper _storage;

        public MaterialReleaseHistoryService(
            ILogger<MaterialReleaseHistoryService> logger,
            FMSContext context,
            StorageHelper storage) {
            _logger = logger;
            _context = context;
            _storage = storage;
        }

        public IQueryable<FmsMaterialRelease> GetAll() {
            var query = _context.FmsMaterialRelease/*.AsNoTracking()*/;
            return query;
        }
    }
}